package test1;

public enum ArmyType {
    Fighters,
    Rangers,
    Wizards;
    
    public int computeHitPoints() {
        int result = 0;
        switch (this) {
            case Fighters -> { result = (int)(6*Math.random())+8; }
            case Rangers  -> { result = (int)(6*Math.random()+1)+6; }
            case Wizards  -> { result = (int)(6*Math.random()+1)+(int)(6*Math.random()+1)+4; }
        }
        return result;
    }     
}

// Alternative implementation

//public enum ArmyType {
//    Fighters {
//        @Override
//        public int computeHitPoints() {
//            return (int)(6*Math.random()+1)+8;
//        }
//    },
//    Rangers {
//        @Override
//        public int computeHitPoints() {
//            return (int)(6*Math.random())+6;
//        }
//    },
//    Wizards {
//        @Override
//        public int computeHitPoints() {
//            return (int)(6*Math.random()+1)+(int)(6*Math.random()+1)+4;
//        }
//    };
//    
//    public abstract int computeHitPoints();       
//}
